## qt6-quick3d 6.8.1

=== debian/changelog ===
qt6-quick3d (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 07 Dec 2024 00:33:24 -0600

qt6-quick3d (6.7.2-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove several Provides to allow co-installability (Closes:
    #1089099).

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Dec 2024 19:08:51 +0100
