=== tests/manual/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Don't build manual tests when targeting iOS.
if(UIKIT)
    return()
endif()

add_subdirectory(3d_input)
add_subdirectory(blendmodes)
add_subdirectory(cameralookat)
add_subdirectory(cones_and_cylinders)
add_subdirectory(dynamic3DTest)
add_subdirectory(dynamicenvmap)
add_subdirectory(dynamictexture)
add_subdirectory(infinitegrid)
add_subdirectory(instancing)
add_subdirectory(instance-picking)
add_subdirectory(lightmap_concept)
add_subdirectory(loader)
add_subdirectory(loader2)
add_subdirectory(lineparticles)
add_subdirectory(modelblendparticles)
add_subdirectory(modelparticles)
add_subdirectory(multicubetest)
add_subdirectory(offscreenrendermode)
add_subdirectory(picking)
add_subdirectory(principledmaterial)
add_subdirectory(projectionmodes)
add_subdirectory(reflectionprobe)
add_subdirectory(repeater3d)
add_subdirectory(shadowCasting)
add_subdirectory(shadowCasting2)
add_subdirectory(sourceitem)
add_subdirectory(specularglossymaterial)
add_subdirectory(ssao)
add_subdirectory(stereoscopic)
add_subdirectory(unlit_lit_test)
add_subdirectory(vertexAttributes)
add_subdirectory(view3DDeleteTest)
add_subdirectory(sharedresourceupdate)
add_subdirectory(volumetric)
add_subdirectory(extensions)
add_subdirectory(subset-picking)
