=== debian/changelog ===
qt6-quick3d (6.8.2-5) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Enable the OpenXR bits only on architectures where it is available, i.e.
    alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64
    s390x sparc64:
    - limit the architectures of the libopenxr-dev build dependency
    - limit the architectures of the libqt6quick3dxr6, and
      qml6-module-qtquick3d-xr binary packages, and the dependencies on those
    - install OpenXR files only where available
    - run cmake with -DINPUT_openxr=system to explicitly require a system
      version of openXR where available, and -DINPUT_openxr=no otherwise

 -- Pino Toscano <pino@debian.org>  Sun, 02 Mar 2025 11:22:57 +0100

qt6-quick3d (6.8.2-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:55:50 +0100

qt6-quick3d (6.8.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing B-D libqt6quick3dglslparser6 to qt6-quick3d-dev.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 19:10:28 +0100

qt6-quick3d (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 11 Feb 2025 19:07:15 +0100

qt6-quick3d (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update ABI to 6.8.2.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Add libopenxr-dev to the B-Ds.
  * New binary packages and update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 12:48:06 +0100
