=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: qt6-quick3d
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-exec,
+               dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                libassimp-dev (>= 5.1.6~),
                libgl-dev,
+               libopenxr-dev (>= 1.0.29~) [alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64],
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-glx0-dev,
@@ -17,24 +18,24 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
                qt6-quick3d-dev:native <cross>,
-               qt6-quicktimeline-dev (>= 6.8.1~),
-               qt6-shadertools-dev (>= 6.8.1~),
+               qt6-quicktimeline-dev (>= 6.8.2~),
+               qt6-shadertools-dev (>= 6.8.2~),
                zlib1g-dev,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d.git
 Rules-Requires-Root: no
 
 Package: libqt6quick3d6
-Provides: qt6-quick3d-private-abi (= 6.8.1),
+Provides: qt6-quick3d-private-abi (= 6.8.2),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -112,15 +113,15 @@
  This package contains Qt 6 Quick 3D Utils library.
 
 Package: libqt6quick3dxr6
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 Quick 3D Xr library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains Qt 6 Quick 3D Xr library.
+Architecture: alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Quick 3D Extended Reality library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains Qt 6 Quick 3D Extended Reality library.
 
 Package: qt6-quick3d-assetimporters-plugin
 Architecture: any
@@ -224,15 +225,17 @@
  This package contains the Qt 6 Quick 3D Particles 3D QML module.
 
 Package: qml6-module-qtquick3d-xr
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Description: Qt 6 Quick 3D Xr 3D QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the Qt 6 Quick 3D Xr 3D QML module.
+Architecture: alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Breaks: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
+Replaces: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
+Description: Qt 6 Quick 3D Extended Reality QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Qt 6 Quick 3D Extended Reality QML module.
 
 Package: qt6-qmltooling-quick3dprofiler-plugin
 Architecture: any
@@ -252,10 +255,11 @@
 Depends: libqt6quick3d6 (= ${binary:Version}),
          libqt6quick3dassetimport6 (= ${binary:Version}),
          libqt6quick3dassetutils6 (= ${binary:Version}),
+         libqt6quick3dglslparser6 (= ${binary:Version}),
          libqt6quick3diblbaker6 (= ${binary:Version}),
          libqt6quick3druntimerender6 (= ${binary:Version}),
          libqt6quick3dutils6 (= ${binary:Version}),
-         libqt6quick3dxr6 (= ${binary:Version}),
+         libqt6quick3dxr6 (= ${binary:Version}) [alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64],
          qml6-module-qtquick3d (= ${binary:Version}),
          qml6-module-qtquick3d-assetutils (= ${binary:Version}),
          qml6-module-qtquick3d-effects (= ${binary:Version}),
@@ -263,7 +267,7 @@
          qml6-module-qtquick3d-materialeditor (= ${binary:Version}),
          qml6-module-qtquick3d-particleeffects (= ${binary:Version}),
          qml6-module-qtquick3d-particles3d (= ${binary:Version}),
-         qml6-module-qtquick3d-xr (= ${binary:Version}),
+         qml6-module-qtquick3d-xr (= ${binary:Version}) [alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64],
          qt6-base-dev,
          qt6-qmltooling-quick3dprofiler-plugin (= ${binary:Version}),
          qt6-quick3d-assetimporters-plugin (= ${binary:Version}),
@@ -284,21 +288,3 @@
 Depends: qt6-quick3d-dev (= ${binary:Version}), ${misc:Depends},
 Breaks: qt6-quick3d-dev (<< 6.6.1-1),
 Replaces: qt6-quick3d-dev (<< 6.6.1-1),
-Description: Qt 6 Quick 3D private development files
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the private header development files for building some
- Qt 6 applications using the Qt 6 Quick 3D private headers.
- .
- Use at your own risk.
-
-Package: qt6-quick3d-dev-tools
-Architecture: any
-Multi-Arch: foreign
-Section: devel
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 Quick 3D development programs
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
